'use strict';

const baseCheckout = require('base/checkout/checkout');
const baseShippingHelpers = require('base/checkout/shipping');
const pluginBilling = require('./billing');

[baseShippingHelpers, pluginBilling].forEach((library) => {
    Object.keys(library).forEach((key) => {
        if (typeof library[key] === 'object') {
            baseCheckout[key] = $.extend({}, baseCheckout[key], library[key]);
        } else {
            baseCheckout[key] = library[key];
        }
    });
});

module.exports = baseCheckout;
